JTS Topology Suite version 1.13

## com.vividsolutions.jts.geom.util
Class ShortCircuitedGeometryVisitor

    java.lang.Object
      com.vividsolutions.jts.geom.util.ShortCircuitedGeometryVisitor

    public abstract class ShortCircuitedGeometryVisitor

extends java.lang.Object

A visitor to `Geometry` componets, which allows short-circuiting when a defined condition holds.

Version:
  1.7

Constructor Summary
`ShortCircuitedGeometryVisitor()`

Method Summary
`void` `applyTo(Geometry geom)`
`protected abstract boolean` `isDone()`
`protected abstract void` `visit(Geometry element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShortCircuitedGeometryVisitor

    public ShortCircuitedGeometryVisitor()

Method Detail

### applyTo

    public void applyTo(Geometry geom)

### visit

    protected abstract void visit(Geometry element)

### isDone

    protected abstract boolean isDone()

JTS Topology Suite version 1.13